import UIKit



func funcWithCompletionHandler(completion: () -> Void) {
    // کدهایی که باید ابتدا انجام شوند
    print("Task Started")

    // فراخوانی Completion Handler و اجرای دستورات بعدی
    completion()
}

funcWithCompletionHandler(completion: {
    print("completion handler")
})


func fetchData(completion: (String) -> Void) {
    print("Fetching data from internet...")

    sleep(2)
    let fetchedData = "Sample Data"
    print("Data fetched successfully!")

    // ارسال داده به Completion Handler
    completion(fetchedData)
}

// فراخوانی تابع
fetchData { data in
    print("Received data: \(data)")
}
